Bug 1888048 - R9-390 AMDGPU cannot wake up from Suspend (both 32 and 33)
Summary: R9-390 AMDGPU cannot wake up from Suspend (both 32 and 33)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amdgpu
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christopher Atherton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-13 21:29 UTC by shuyi
Modified: 2021-11-30 16:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:28:21 UTC
Type: Bug


Attachments (Terms of Use)

Description shuyi 2020-10-13 21:29:31 UTC
Description of problem:

R9-390 AMDGPU, everything wakes up from Suspend except GPU. I can hear the fan spinning up, and logs showing activities after waking up from suspend. 

This started happening around 5.8 Kernel Update, and I upgraded to F33, but problem did not resolve.

Version-Release number of selected component (if applicable):
Not sure, whatever comes with Fedora 32/33

How reproducible:
100%, happens everytime

Steps to Reproduce:
1. Click suspend
2. wake PC up

Actual results:
Screen did not wake up, but everything else did

Expected results:
Screen and all components wake up, and showing lock screen

Additional info:


5:08 PM
[drm] Fence fallback timer expired on ring sdma0
 (5 times)
5:08 PM
---[ end trace 762bd101e4513bbc ]---

5:08 PM
R13: 000055c931a67650 R14: 0000000000000004 R15: 00007fef91134720

5:08 PM
R10: 00007fef910f6fc0 R11: 0000000000000246 R12: 0000000000000004

5:08 PM
RBP: 00007ffe26ccf730 R08: 000055c931a6c090 R09: 00007fef910f70c0

5:08 PM
RDX: 0000000000000004 RSI: 00007ffe26ccf730 RDI: 0000000000000004

5:08 PM
RAX: ffffffffffffffda RBX: 0000000000000004 RCX: 00007fef91060497

5:08 PM
RSP: 002b:00007ffe26ccf648 EFLAGS: 00000246 ORIG_RAX: 0000000000000001

5:08 PM
Code: 0d 00 f7 d8 64 89 02 48 c7 c0 ff ff ff ff eb b7 0f 1f 00 f3 0f 1e fa 64 8b 04 25 18 00 00 00 85 c0 75 10 b8 01 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 51 c3 48 83 ec 28 48 89 54 24 18 48 89 74 24

5:08 PM
RIP: 0033:0x7fef91060497

5:08 PM
entry_SYSCALL_64_after_hwframe+0x44/0xa9

5:08 PM
do_syscall_64+0x4d/0x90

5:08 PM
ksys_write+0x4f/0xc0

5:08 PM
vfs_write+0xc7/0x1f0

5:08 PM
kernfs_fop_write+0xce/0x1b0

5:08 PM
state_store+0x71/0xd0

5:08 PM
pm_suspend.cold+0x333/0x38c

5:08 PM
suspend_devices_and_enter+0x1a2/0x7f0

5:08 PM
Call Trace:

5:08 PM
CR2: 0000000000000000 CR3: 00000006a096c000 CR4: 0000000000340ee0

5:08 PM
CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033

5:08 PM
FS: 00007fef900c0000(0000) GS:ffff96704eb00000(0000) knlGS:0000000000000000

5:08 PM
R13: 0000000000000000 R14: ffffb34944637df8 R15: 0000000000000000

5:08 PM
R10: 000000000000073b R11: 000000000001987c R12: 0000000000007e14

5:08 PM
RBP: ffffffffad3a05f9 R08: 000000106d3ff858 R09: ffffffffae3f4c04

5:08 PM
RDX: 00000000ffffffd8 RSI: 0000000000000027 RDI: ffff96704eb18d00

5:08 PM
RAX: 0000000000000026 RBX: 0000000000000003 RCX: ffff96704eb18d08

5:08 PM
RSP: 0018:ffffb34944637dc8 EFLAGS: 00010292

5:08 PM
Code: e8 03 00 00 29 c1 e8 79 a9 00 00 41 81 fc 10 27 00 00 77 04 5d 41 5c c3 44 89 e2 48 89 ee 48 c7 c7 b0 06 3a ad e8 92 da f9 ff <0f> 0b 5d 41 5c c3 cc cc cc cc cc cc 0f 1f 44 00 00 0f b6 05 58 33

5:08 PM
RIP: 0010:suspend_test_finish+0x74/0x80

5:08 PM
Hardware name: Micro-Star International Co., Ltd. MS-7C84/MAG X570 TOMAHAWK WIFI (MS-7C84), BIOS 1.20 08/07/2020

5:08 PM
CPU: 12 PID: 7353 Comm: systemd-sleep Not tainted 5.8.14-300.fc33.x86_64 #1

5:08 PM
snd ecdh_generic i2c_piix4 ecc soundcore k10temp rfkill acpi_cpufreq zram ip_tables r8152 mii hid_logitech ff_memless amdgpu iommu_v2 gpu_sched radeon i2c_algo_bit drm_kms_helper cec ttm drm crct10dif_pclmul crc32_pclmul crc32c_intel nvme ghash_clmulni_intel ccp r8169 nvme_core wmi pinctrl_amd fuse

5:08 PM
Modules linked in: snd_seq_dummy snd_hrtimer uinput rfcomm xt_CHECKSUM ipt_REJECT nf_reject_ipv4 ip6table_mangle ip6table_nat iptable_mangle nf_tables ip6table_filter ip6_tables xt_nat tun veth xt_conntrack xt_MASQUERADE nf_conntrack_netlink nfnetlink nfsv3 nfs_acl xt_addrtype iptable_filter iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 br_netfilter bridge stp llc rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache ccm overlay cmac bnep nct6775 hwmon_vid sunrpc vfat fat squashfs loop iwlmvm snd_hda_codec_realtek snd_hda_codec_generic mac80211 ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg edac_mce_amd libarc4 uvcvideo snd_usb_audio snd_hda_codec kvm_amd videobuf2_vmalloc snd_usbmidi_lib videobuf2_memops snd_hda_core iwlwifi snd_rawmidi snd_hwdep videobuf2_v4l2 snd_seq kvm btusb videobuf2_common btrtl videodev btbcm btintel irqbypass snd_seq_device bluetooth mc cfg80211 joydev snd_pcm rapl wmi_bmof snd_timer pcspkr sp5100_tco

5:08 PM
WARNING: CPU: 12 PID: 7353 at kernel/power/suspend_test.c:53 suspend_test_finish+0x74/0x80

5:08 PM
Component: resume devices, time: 32276

5:08 PM
------------[ cut here ]------------

5:08 PM
PM: Device 0000:2d:00.0 failed to resume async: error -110

5:08 PM
PM: dpm_run_callback(): pci_pm_resume+0x0/0xe0 returns -110

5:08 PM
[drm:amdgpu_device_resume [amdgpu]] *ERROR* amdgpu_device_ip_resume failed (-110).

5:08 PM
[drm:amdgpu_device_ip_resume_phase2 [amdgpu]] *ERROR* resume of IP block <uvd_v4_2> failed -110

5:08 PM
amdgpu 0000:2d:00.0: [drm:amdgpu_ring_test_helper [amdgpu]] *ERROR* ring uvd test failed (-110)

5:08 PM
[drm:amdgpu_device_ip_set_powergating_state [amdgpu]] *ERROR* set_powergating_state of IP block <uvd_v4_2> failed -1

5:08 PM
[drm:uvd_v4_2_start [amdgpu]] *ERROR* UVD not responding, giving up!!!

5:08 PM
[drm:uvd_v4_2_start [amdgpu]] *ERROR* UVD not responding, trying to reset the VCPU!!!
 (10 times)

Comment 1 Ben Cotton 2021-11-04 17:28:36 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-11-30 16:28:21 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.